Loading...
Searching...
No Matches
BALL::Pair6_12RDFIntegrator Class Reference
Molecular Modeling » Solvation methods

`#include <BALL/SOLVATION/pair6_12RDFIntegrator.h>`

Inheritance diagram for BALL::Pair6_12RDFIntegrator:

## Classes

struct | Option
struct | Default

## Public Types

enum | IntegrationMethod { METHOD__UNKNOWN = 0 , METHOD__ANALYTICAL = 1 , METHOD__TRAPEZIUM = 2 }

## Public Member Functions

Constructors and destructors
| Pair6_12RDFIntegrator ()
| Pair6_12RDFIntegrator (const Pair6_12RDFIntegrator &integrator)
| Pair6_12RDFIntegrator (double A, double B, double k1, double k2, const RadialDistributionFunction &rdf)
virtual | ~Pair6_12RDFIntegrator ()
Assignment
const Pair6_12RDFIntegrator & | operator= (const Pair6_12RDFIntegrator &integrator)
virtual void | clear ()
Accessors
void | setConstants (double A, double B, double k1, double k2)
void | getConstants (double &A, double &B, double &k1, double &k2)
double | integrateToInf (double from) const
double | integrateToInf (double from, double A, double B, double k1, double k2)
double | integrate (double from, double to) const
double | integrate (double from, double to, double A, double B, double k1, double k2)
virtual double | operator() (double x) const
Public Member Functions inherited from BALL::RDFIntegrator
| RDFIntegrator ()
| RDFIntegrator (const RDFIntegrator &integrator)
| RDFIntegrator (const RadialDistributionFunction &rdf)
virtual | ~RDFIntegrator ()
const RDFIntegrator & | operator= (const RDFIntegrator &integrator)
bool | operator== (const RDFIntegrator &integrator) const
| Predicates.
virtual bool | isValid () const
void | setRDF (const RadialDistributionFunction &rdf)
| Accessors.
const RadialDistributionFunction & | getRDF () const

## Predicates

Options | options
bool | operator== (const Pair6_12RDFIntegrator &integrator) const

## Debugging and diagnostics

double | A_
double | B_
double | k1_
double | k2_
virtual void | dump (std::ostream &s=std::cout, Size depth=0) const

## Additional Inherited Members

RadialDistributionFunction | rdf_
bool | valid_

## Detailed Description

6-12 pair potential integrator. This class provides a tool for calculating the integral part of the van-der-Waals interaction energies. The difference to the values calculated with the standard interaction energy processor is the inclusion of a radial distribution function (

See also
  RadialDistributionFunction) into the computaion.

Definition at line 34 of file pair6_12RDFIntegrator.h.

## Member Enumeration Documentation

## IntegrationMethod

enum BALL::Pair6_12RDFIntegrator::IntegrationMethod

The available methods for integration

Enumerator
METHOD__UNKNOWN |
METHOD__ANALYTICAL |
METHOD__TRAPEZIUM |

Definition at line 89 of file pair6_12RDFIntegrator.h.

## Constructor & Destructor Documentation

## Pair6_12RDFIntegrator() [1/3]

BALL::Pair6_12RDFIntegrator::Pair6_12RDFIntegrator | ( |  | ) |

Default constructor

## Pair6_12RDFIntegrator() [2/3]

BALL::Pair6_12RDFIntegrator::Pair6_12RDFIntegrator | ( | const Pair6_12RDFIntegrator & | integrator | ) |

Copy constructor

Parameters

  integrator | the integrator we want to copy

## Pair6_12RDFIntegrator() [3/3]

BALL::Pair6_12RDFIntegrator::Pair6_12RDFIntegrator | ( | double | A,
|  | double | B,
|  | double | k1,
|  | double | k2,
|  | const RadialDistributionFunction & | rdf )

Detailed constructor

Parameters

  A | repulsion constant of the 6-12 potential in units of ...
  B | dispersion constant of the 6-12 potential in units of ...
  k1 | geometric correction constant
  k2 | geometric correction constant
  rdf | a radial distribution function

## ~Pair6_12RDFIntegrator()

virtual BALL::Pair6_12RDFIntegrator::~Pair6_12RDFIntegrator | ( |  | ) |

virtual

Destructor

## Member Function Documentation

## clear()

virtual void BALL::Pair6_12RDFIntegrator::clear | ( |  | ) |

virtual

Clear method

Reimplemented from BALL::RDFIntegrator.

## dump()

virtual void BALL::Pair6_12RDFIntegrator::dump | ( | std::ostream & | s = std::cout,
|  | Size | depth = 0 ) const

virtual

Dumps the whole content of the object

Parameters

  s | an ostream, defaults to std::cout
  depth | the indentation depth of the output

## getConstants()

void BALL::Pair6_12RDFIntegrator::getConstants | ( | double & | A,
|  | double & | B,
|  | double & | k1,
|  | double & | k2 )

Get the constants from this processor.

Parameters

  A | repulsion constant of the 6-12 potential in units of ...
  B | dispersion constant of the 6-12 potential in units of ...
  k1 | geometric correction constant
  k2 | geometric correction constant

## integrate() [1/2]

double BALL::Pair6_12RDFIntegrator::integrate | ( | double | from,
|  | double | to ) const

Integrate from from to to using previously assigned constants

Parameters

  from | the lower limit
  to | the upper limit

Returns
  the value of the integration

## integrate() [2/2]

double BALL::Pair6_12RDFIntegrator::integrate | ( | double | from,
|  | double | to,
|  | double | A,
|  | double | B,
|  | double | k1,
|  | double | k2 )

Integrate from from to to using the specified constants

Parameters

  from | the lower limit of integration
  to | the upper limit
  A | repulsion constant of the 6-12 potential in units of ...
  B | dispersion constant of the 6-12 potential in units of ...
  k1 | geometric correction constant
  k2 | geometric correction constant

Returns
  the value of the integration

## integrateToInf() [1/2]

double BALL::Pair6_12RDFIntegrator::integrateToInf | ( | double | from | ) | const

Integrate to Infinity from from using previously set constants

Parameters

  from | the lower limit of integration

Returns
  the value of the integration

## integrateToInf() [2/2]

double BALL::Pair6_12RDFIntegrator::integrateToInf | ( | double | from,
|  | double | A,
|  | double | B,
|  | double | k1,
|  | double | k2 )

Integrate from from to infinity using the specified constants

Parameters

  A | repulsion constant of the 6-12 potential in units of ...
  B | dispersion constant of the 6-12 potential in units of ...
  k1 | geometric correction constant
  k2 | geometric correction constant
  from | the lower limit of integration

Returns
  the value of the integration

## operator()()

virtual double BALL::Pair6_12RDFIntegrator::operator() | ( | double | x | ) | const

virtual

Default operation, integrate from x to infinity using previously assigned constants.

Parameters

  x | the lower limit of the integration to infinity

Returns
  the value of the integration

Reimplemented from BALL::RDFIntegrator.

## operator=()

const Pair6_12RDFIntegrator & BALL::Pair6_12RDFIntegrator::operator= | ( | const Pair6_12RDFIntegrator & | integrator | ) |

Assignment operator

Parameters

  integrator | the integrator to assign from

Returns
  a constant reference to this

## operator==()

bool BALL::Pair6_12RDFIntegrator::operator== | ( | const Pair6_12RDFIntegrator & | integrator | ) | const

Equality operator. Tests whether two instances of Pair6_12RDFIntegrator have the same content.

Parameters

  integrator | another instance of Pair6_12RDFIntegrator

Returns
  true, if both instances are equal

## setConstants()

void BALL::Pair6_12RDFIntegrator::setConstants | ( | double | A,
|  | double | B,
|  | double | k1,
|  | double | k2 )

Set the constants for the integration, usually done by the calling energy processor.

Parameters

  A | repulsion constant of the 6-12 potential in units of ...
  B | dispersion constant of the 6-12 potential in units of ...
  k1 | geometric correction constant
  k2 | geometric correction constant

## Member Data Documentation

## A_

double BALL::Pair6_12RDFIntegrator::A_

protected

Definition at line 238 of file pair6_12RDFIntegrator.h.

## B_

double BALL::Pair6_12RDFIntegrator::B_

protected

Definition at line 242 of file pair6_12RDFIntegrator.h.

## k1_

double BALL::Pair6_12RDFIntegrator::k1_

protected

Definition at line 246 of file pair6_12RDFIntegrator.h.

## k2_

double BALL::Pair6_12RDFIntegrator::k2_

protected

Definition at line 250 of file pair6_12RDFIntegrator.h.

## options

Options BALL::Pair6_12RDFIntegrator::options

The options of this Integrator (

See also
  Options)

Definition at line 219 of file pair6_12RDFIntegrator.h.